Skip to main content
POST
/
cards
/
simulations
/
3DSAuthRequest
Simulate a 3DS auth request
curl --request POST \
  --url https://api.equalsmoney.com/v2/cards/simulations/3DSAuthRequest \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cardId": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
  "amount": "10",
  "currencyCode": 826,
  "subType": "PURCHASE",
  "transactionType": "PAYMENT",
  "cardAcceptor": {
    "name": "John Smith"
  }
}
'
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

Body

application/json

Body

cardId
string<uuid>
required

The ID of the card to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

amount
number
required

Contains information about how the payment is being made.

Example:

"10"

currencyCode
number
required

ISO 4217 three-digit currency code of the payment or purchased gift card.

Required range: x <= 999
Example:

826

cardAcceptor
object
required
subType
enum<string> | null

Identifies the type of transaction being authenticated.

Available options:
PURCHASE,
ACCOUNT_VERIFICATION,
ACCOUNT_FUNDING,
QUASI_CASH,
PREPAID_ACTIVATION_AND_LOAD
transactionType
enum<string>

Identifies the category of the message for a specific use case.

Available options:
PAYMENT,
NON_PAYMENT

Response

200 - application/json

OK

success
boolean
required